Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbehave.core.steps
Enum StepType

    java.lang.Object
      java.lang.Enum<StepType>
          org.jbehave.core.steps.StepType

All Implemented Interfaces:
  Serializable, Comparable<StepType>

    public enum StepType

extends Enum<StepType>

Enum representing the step types

Enum Constant Summary
`AND` Represents repetition of previous step
`GIVEN` Represents a precondition to an event
`IGNORABLE` Represents an ignorable step
`THEN` Represents an outcome of an event
`WHEN` Represents an event

Method Summary
`static StepType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StepType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GIVEN

    public static final StepType GIVEN

  Represents a precondition to an event

### WHEN

    public static final StepType WHEN

  Represents an event

### THEN

    public static final StepType THEN

  Represents an outcome of an event

### AND

    public static final StepType AND

  Represents repetition of previous step

### IGNORABLE

    public static final StepType IGNORABLE

  Represents an ignorable step

Method Detail

### values

    public static StepType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StepType c : StepType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StepType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013. All Rights Reserved.